Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media
Class SynchronousAnimator

    java.lang.Object
      org.monte.media.SynchronousAnimator

All Implemented Interfaces:
  java.lang.Runnable, Animator

    public class SynchronousAnimator

extends java.lang.Object
implements Animator

SynchronousAnimator.

Author:
  Werner Randelshofer @version 1.0 Apr 28, 2008 Created.

Field Summary
`protected javax.swing.event.ChangeEvent` | `changeEvent`
`protected javax.swing.event.EventListenerList` | `listenerList`

Constructor Summary
`SynchronousAnimator()`

Method Summary
`void` | `addChangeListener(javax.swing.event.ChangeListener listener)`
`void` | `animateStep()`
`void` | `dispatch(Interpolator interpolator)` Dispatches an interpolator for the animation thread.
`protected void` | `fireStateChanged()` Notify all listeners that have registered interest for notification on this event type.
`boolean` | `isActive()`
`boolean` | `isSynchronous()`
`void` | `removeChangeListener(javax.swing.event.ChangeListener listener)`
`void` | `run()`
`void` | `setLock(java.lang.Object lock)` Set the lock object, on which the animator synchronizes while animating the interpolators.
`void` | `setTime(long currentTimeMillis)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### listenerList

    protected javax.swing.event.EventListenerList listenerList

### changeEvent

    protected javax.swing.event.ChangeEvent changeEvent

Constructor Detail

### SynchronousAnimator

    public SynchronousAnimator()

Method Detail

### setLock

    public void setLock(java.lang.Object lock)

  Description copied from interface: `Animator`
  Set the lock object, on which the animator synchronizes while animating the interpolators.

  Specified by:
    `setLock` in interface `Animator`

### isActive

    public boolean isActive()

  Specified by:
    `isActive` in interface `Animator`

### start

    public void start()

  Specified by:
    `start` in interface `Animator`

### stop

    public void stop()

  Specified by:
    `stop` in interface `Animator`

### setTime

    public void setTime(long currentTimeMillis)

### dispatch

    public void dispatch(Interpolator interpolator)

  Description copied from interface: `Animator`
  Dispatches an interpolator for the animation thread. This will launch the animation thread if it is not already active.

  Specified by:
    `dispatch` in interface `Animator`

### animateStep

    public void animateStep()

  Specified by:
    `animateStep` in interface `Animator`

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Specified by:
    `run` in interface `Animator`

### addChangeListener

    public void addChangeListener(javax.swing.event.ChangeListener listener)

  Specified by:
    `addChangeListener` in interface `Animator`

### removeChangeListener

    public void removeChangeListener(javax.swing.event.ChangeListener listener)

  Specified by:
    `removeChangeListener` in interface `Animator`

### fireStateChanged

    protected void fireStateChanged()

  Notify all listeners that have registered interest for notification on this event type.

### isSynchronous

    public boolean isSynchronous()

  Specified by:
    `isSynchronous` in interface `Animator`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD